diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.eventing.contrib.kafka.v1beta1.KafkaChannelSpecFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.eventing.contrib.kafka.v1beta1.KafkaChannelSpecFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.eventing.contrib.kafka.v1beta1.KafkaChannelSpecFluent.jimple	2025-03-13 13:39:21.543791693 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.eventing.contrib.kafka.v1beta1.KafkaChannelSpecFluent.jimple	2025-03-13 13:39:34.955580915 +0000
@@ -12,9 +12,13 @@
 public abstract java.lang.Integer getNumPartitions();
 public abstract io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent withNumPartitions(java.lang.Integer);
 public abstract java.lang.Boolean hasNumPartitions();
+public abstract io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent withNewNumPartitions(java.lang.String);
+public abstract io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent withNewNumPartitions(int);
 public abstract java.lang.Integer getReplicationFactor();
 public abstract io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent withReplicationFactor(java.lang.Integer);
 public abstract java.lang.Boolean hasReplicationFactor();
+public abstract io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent withNewReplicationFactor(java.lang.String);
+public abstract io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent withNewReplicationFactor(int);
 public abstract io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent addToSubscribers(int, io.fabric.knative.internal.eventing.pkg.apis.duck.v.SubscriberSpec);
 public abstract io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent setToSubscribers(int, io.fabric.knative.internal.eventing.pkg.apis.duck.v.SubscriberSpec);
 public abstract transient io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent addToSubscribers(io.fabric.knative.internal.eventing.pkg.apis.duck.v.SubscriberSpec[]);
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.eventing.contrib.kafka.v1beta1.KafkaChannelSpecFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.eventing.contrib.kafka.v1beta1.KafkaChannelSpecFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.eventing.contrib.kafka.v1beta1.KafkaChannelSpecFluentImpl.jimple	2025-03-13 13:39:21.527791946 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.eventing.contrib.kafka.v1beta1.KafkaChannelSpecFluentImpl.jimple	2025-03-13 13:39:34.935581231 +0000
@@ -204,6 +204,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent withNewNumPartitions(java.lang.String)
+{
+io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluentImpl v;
+java.lang.String v;
+io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluentImpl: io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent withNumPartitions(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent withNewNumPartitions(int)
+{
+io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluentImpl v;
+int v;
+io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluentImpl: io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent withNumPartitions(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.Integer getReplicationFactor()
 {
 java.lang.Integer v;
@@ -238,6 +264,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent withNewReplicationFactor(java.lang.String)
+{
+io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluentImpl v;
+java.lang.String v;
+io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluentImpl: io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent withReplicationFactor(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent withNewReplicationFactor(int)
+{
+io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluentImpl v;
+int v;
+io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluentImpl: io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent withReplicationFactor(java.lang.Integer)>(v);
+return v;
+}
 public io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluent addToSubscribers(int, io.fabric.knative.internal.eventing.pkg.apis.duck.v.SubscriberSpec)
 {
 io.fabric.knative.eventing.contrib.kafka.v1beta.KafkaChannelSpecFluentImpl v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.internal.eventing.pkg.apis.duck.v1.DeliverySpecFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.internal.eventing.pkg.apis.duck.v1.DeliverySpecFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.internal.eventing.pkg.apis.duck.v1.DeliverySpecFluent.jimple	2025-03-13 13:39:21.567791317 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.internal.eventing.pkg.apis.duck.v1.DeliverySpecFluent.jimple	2025-03-13 13:39:34.983580476 +0000
@@ -24,4 +24,6 @@
 public abstract java.lang.Integer getRetry();
 public abstract io.fabric.knative.internal.eventing.pkg.apis.duck.v.DeliverySpecFluent withRetry(java.lang.Integer);
 public abstract java.lang.Boolean hasRetry();
+public abstract io.fabric.knative.internal.eventing.pkg.apis.duck.v.DeliverySpecFluent withNewRetry(java.lang.String);
+public abstract io.fabric.knative.internal.eventing.pkg.apis.duck.v.DeliverySpecFluent withNewRetry(int);
 }
\ No newline at end of file
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.internal.eventing.pkg.apis.duck.v1.DeliverySpecFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.internal.eventing.pkg.apis.duck.v1.DeliverySpecFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.internal.eventing.pkg.apis.duck.v1.DeliverySpecFluentImpl.jimple	2025-03-13 13:39:21.567791317 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.internal.eventing.pkg.apis.duck.v1.DeliverySpecFluentImpl.jimple	2025-03-13 13:39:34.983580476 +0000
@@ -348,6 +348,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.knative.internal.eventing.pkg.apis.duck.v.DeliverySpecFluent withNewRetry(java.lang.String)
+{
+io.fabric.knative.internal.eventing.pkg.apis.duck.v.DeliverySpecFluent v;
+io.fabric.knative.internal.eventing.pkg.apis.duck.v.DeliverySpecFluentImpl v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.knative.internal.eventing.pkg.apis.duck.v.DeliverySpecFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.knative.internal.eventing.pkg.apis.duck.v.DeliverySpecFluentImpl: io.fabric.knative.internal.eventing.pkg.apis.duck.v.DeliverySpecFluent withRetry(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.knative.internal.eventing.pkg.apis.duck.v.DeliverySpecFluent withNewRetry(int)
+{
+io.fabric.knative.internal.eventing.pkg.apis.duck.v.DeliverySpecFluent v;
+io.fabric.knative.internal.eventing.pkg.apis.duck.v.DeliverySpecFluentImpl v;
+int v;
+java.lang.Integer v;
+v := @this: io.fabric.knative.internal.eventing.pkg.apis.duck.v.DeliverySpecFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.knative.internal.eventing.pkg.apis.duck.v.DeliverySpecFluentImpl: io.fabric.knative.internal.eventing.pkg.apis.duck.v.DeliverySpecFluent withRetry(java.lang.Integer)>(v);
+return v;
+}
 public boolean equals(java.lang.Object)
 {
 io.fabric.knative.internal.eventing.pkg.apis.duck.v.DeliverySpecFluentImpl v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.serving.v1.RevisionSpecFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.serving.v1.RevisionSpecFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.serving.v1.RevisionSpecFluent.jimple	2025-03-13 13:39:22.267780315 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.serving.v1.RevisionSpecFluent.jimple	2025-03-13 13:39:35.747568470 +0000
@@ -172,6 +172,8 @@
 public abstract java.lang.Integer getPriority();
 public abstract io.fabric.knative.serving.v.RevisionSpecFluent withPriority(java.lang.Integer);
 public abstract java.lang.Boolean hasPriority();
+public abstract io.fabric.knative.serving.v.RevisionSpecFluent withNewPriority(java.lang.String);
+public abstract io.fabric.knative.serving.v.RevisionSpecFluent withNewPriority(int);
 public abstract java.lang.String getPriorityClassName();
 public abstract io.fabric.knative.serving.v.RevisionSpecFluent withPriorityClassName(java.lang.String);
 public abstract java.lang.Boolean hasPriorityClassName();
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.serving.v1.RevisionSpecFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.serving.v1.RevisionSpecFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.serving.v1.RevisionSpecFluentImpl.jimple	2025-03-13 13:39:22.315779562 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/knative-model-5.2.1.jar:knative-model-5.2.1.jar/io.fabric8.knative.serving.v1.RevisionSpecFluentImpl.jimple	2025-03-13 13:39:35.799567652 +0000
@@ -3298,6 +3298,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.knative.serving.v.RevisionSpecFluent withNewPriority(java.lang.String)
+{
+io.fabric.knative.serving.v.RevisionSpecFluent v;
+io.fabric.knative.serving.v.RevisionSpecFluentImpl v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.knative.serving.v.RevisionSpecFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.knative.serving.v.RevisionSpecFluentImpl: io.fabric.knative.serving.v.RevisionSpecFluent withPriority(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.knative.serving.v.RevisionSpecFluent withNewPriority(int)
+{
+io.fabric.knative.serving.v.RevisionSpecFluent v;
+int v;
+io.fabric.knative.serving.v.RevisionSpecFluentImpl v;
+java.lang.Integer v;
+v := @this: io.fabric.knative.serving.v.RevisionSpecFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.knative.serving.v.RevisionSpecFluentImpl: io.fabric.knative.serving.v.RevisionSpecFluent withPriority(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.String getPriorityClassName()
 {
 io.fabric.knative.serving.v.RevisionSpecFluentImpl v;