diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.MutatingWebhookFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.MutatingWebhookFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.MutatingWebhookFluent.jimple	2025-03-13 13:43:52.119539011 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.MutatingWebhookFluent.jimple	2025-03-13 13:43:58.303441811 +0000
@@ -102,4 +102,6 @@
 public abstract java.lang.Integer getTimeoutSeconds();
 public abstract io.fabric.kubernetes.api.model.admissionregistration.v.MutatingWebhookFluent withTimeoutSeconds(java.lang.Integer);
 public abstract java.lang.Boolean hasTimeoutSeconds();
+public abstract io.fabric.kubernetes.api.model.admissionregistration.v.MutatingWebhookFluent withNewTimeoutSeconds(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.admissionregistration.v.MutatingWebhookFluent withNewTimeoutSeconds(int);
 }
\ No newline at end of file
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.MutatingWebhookFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.MutatingWebhookFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.MutatingWebhookFluentImpl.jimple	2025-03-13 13:43:52.115539075 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.MutatingWebhookFluentImpl.jimple	2025-03-13 13:43:58.299441874 +0000
@@ -1830,6 +1830,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.admissionregistration.v.MutatingWebhookFluent withNewTimeoutSeconds(java.lang.String)
+{
+io.fabric.kubernetes.api.model.admissionregistration.v.MutatingWebhookFluentImpl v;
+java.lang.String v;
+io.fabric.kubernetes.api.model.admissionregistration.v.MutatingWebhookFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.admissionregistration.v.MutatingWebhookFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.admissionregistration.v.MutatingWebhookFluentImpl: io.fabric.kubernetes.api.model.admissionregistration.v.MutatingWebhookFluent withTimeoutSeconds(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.admissionregistration.v.MutatingWebhookFluent withNewTimeoutSeconds(int)
+{
+io.fabric.kubernetes.api.model.admissionregistration.v.MutatingWebhookFluentImpl v;
+int v;
+io.fabric.kubernetes.api.model.admissionregistration.v.MutatingWebhookFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.admissionregistration.v.MutatingWebhookFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.admissionregistration.v.MutatingWebhookFluentImpl: io.fabric.kubernetes.api.model.admissionregistration.v.MutatingWebhookFluent withTimeoutSeconds(java.lang.Integer)>(v);
+return v;
+}
 public boolean equals(java.lang.Object)
 {
 java.lang.Integer v, v, v, v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.ServiceReferenceFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.ServiceReferenceFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.ServiceReferenceFluent.jimple	2025-03-13 13:43:52.167538258 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.ServiceReferenceFluent.jimple	2025-03-13 13:43:58.351441057 +0000
@@ -21,4 +21,6 @@
 public abstract java.lang.Integer getPort();
 public abstract io.fabric.kubernetes.api.model.admissionregistration.v.ServiceReferenceFluent withPort(java.lang.Integer);
 public abstract java.lang.Boolean hasPort();
+public abstract io.fabric.kubernetes.api.model.admissionregistration.v.ServiceReferenceFluent withNewPort(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.admissionregistration.v.ServiceReferenceFluent withNewPort(int);
 }
\ No newline at end of file
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.ServiceReferenceFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.ServiceReferenceFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.ServiceReferenceFluentImpl.jimple	2025-03-13 13:43:52.175538132 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.ServiceReferenceFluentImpl.jimple	2025-03-13 13:43:58.359440930 +0000
@@ -280,6 +280,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.admissionregistration.v.ServiceReferenceFluent withNewPort(java.lang.String)
+{
+java.lang.String v;
+io.fabric.kubernetes.api.model.admissionregistration.v.ServiceReferenceFluentImpl v;
+io.fabric.kubernetes.api.model.admissionregistration.v.ServiceReferenceFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.admissionregistration.v.ServiceReferenceFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.admissionregistration.v.ServiceReferenceFluentImpl: io.fabric.kubernetes.api.model.admissionregistration.v.ServiceReferenceFluent withPort(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.admissionregistration.v.ServiceReferenceFluent withNewPort(int)
+{
+int v;
+io.fabric.kubernetes.api.model.admissionregistration.v.ServiceReferenceFluentImpl v;
+io.fabric.kubernetes.api.model.admissionregistration.v.ServiceReferenceFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.admissionregistration.v.ServiceReferenceFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.admissionregistration.v.ServiceReferenceFluentImpl: io.fabric.kubernetes.api.model.admissionregistration.v.ServiceReferenceFluent withPort(java.lang.Integer)>(v);
+return v;
+}
 public boolean equals(java.lang.Object)
 {
 java.lang.Integer v, v, v, v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.ValidatingWebhookFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.ValidatingWebhookFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.ValidatingWebhookFluent.jimple	2025-03-13 13:43:52.235537189 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.ValidatingWebhookFluent.jimple	2025-03-13 13:43:58.419439988 +0000
@@ -96,4 +96,6 @@
 public abstract java.lang.Integer getTimeoutSeconds();
 public abstract io.fabric.kubernetes.api.model.admissionregistration.v.ValidatingWebhookFluent withTimeoutSeconds(java.lang.Integer);
 public abstract java.lang.Boolean hasTimeoutSeconds();
+public abstract io.fabric.kubernetes.api.model.admissionregistration.v.ValidatingWebhookFluent withNewTimeoutSeconds(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.admissionregistration.v.ValidatingWebhookFluent withNewTimeoutSeconds(int);
 }
\ No newline at end of file
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.ValidatingWebhookFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.ValidatingWebhookFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.ValidatingWebhookFluentImpl.jimple	2025-03-13 13:43:52.231537252 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1.ValidatingWebhookFluentImpl.jimple	2025-03-13 13:43:58.419439988 +0000
@@ -1755,6 +1755,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.admissionregistration.v.ValidatingWebhookFluent withNewTimeoutSeconds(java.lang.String)
+{
+io.fabric.kubernetes.api.model.admissionregistration.v.ValidatingWebhookFluentImpl v;
+io.fabric.kubernetes.api.model.admissionregistration.v.ValidatingWebhookFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.admissionregistration.v.ValidatingWebhookFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.admissionregistration.v.ValidatingWebhookFluentImpl: io.fabric.kubernetes.api.model.admissionregistration.v.ValidatingWebhookFluent withTimeoutSeconds(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.admissionregistration.v.ValidatingWebhookFluent withNewTimeoutSeconds(int)
+{
+int v;
+io.fabric.kubernetes.api.model.admissionregistration.v.ValidatingWebhookFluentImpl v;
+io.fabric.kubernetes.api.model.admissionregistration.v.ValidatingWebhookFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.admissionregistration.v.ValidatingWebhookFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.admissionregistration.v.ValidatingWebhookFluentImpl: io.fabric.kubernetes.api.model.admissionregistration.v.ValidatingWebhookFluent withTimeoutSeconds(java.lang.Integer)>(v);
+return v;
+}
 public boolean equals(java.lang.Object)
 {
 java.lang.Integer v, v, v, v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.MutatingWebhookFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.MutatingWebhookFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.MutatingWebhookFluent.jimple	2025-03-13 13:43:52.311535994 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.MutatingWebhookFluent.jimple	2025-03-13 13:43:58.495438793 +0000
@@ -102,4 +102,6 @@
 public abstract java.lang.Integer getTimeoutSeconds();
 public abstract io.fabric.kubernetes.api.model.admissionregistration.v1beta.MutatingWebhookFluent withTimeoutSeconds(java.lang.Integer);
 public abstract java.lang.Boolean hasTimeoutSeconds();
+public abstract io.fabric.kubernetes.api.model.admissionregistration.v1beta.MutatingWebhookFluent withNewTimeoutSeconds(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.admissionregistration.v1beta.MutatingWebhookFluent withNewTimeoutSeconds(int);
 }
\ No newline at end of file
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.MutatingWebhookFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.MutatingWebhookFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.MutatingWebhookFluentImpl.jimple	2025-03-13 13:43:52.307536056 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.MutatingWebhookFluentImpl.jimple	2025-03-13 13:43:58.491438856 +0000
@@ -1830,6 +1830,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.admissionregistration.v1beta.MutatingWebhookFluent withNewTimeoutSeconds(java.lang.String)
+{
+io.fabric.kubernetes.api.model.admissionregistration.v1beta.MutatingWebhookFluent v;
+java.lang.String v;
+java.lang.Integer v;
+io.fabric.kubernetes.api.model.admissionregistration.v1beta.MutatingWebhookFluentImpl v;
+v := @this: io.fabric.kubernetes.api.model.admissionregistration.v1beta.MutatingWebhookFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.admissionregistration.v1beta.MutatingWebhookFluentImpl: io.fabric.kubernetes.api.model.admissionregistration.v1beta.MutatingWebhookFluent withTimeoutSeconds(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.admissionregistration.v1beta.MutatingWebhookFluent withNewTimeoutSeconds(int)
+{
+io.fabric.kubernetes.api.model.admissionregistration.v1beta.MutatingWebhookFluent v;
+int v;
+java.lang.Integer v;
+io.fabric.kubernetes.api.model.admissionregistration.v1beta.MutatingWebhookFluentImpl v;
+v := @this: io.fabric.kubernetes.api.model.admissionregistration.v1beta.MutatingWebhookFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.admissionregistration.v1beta.MutatingWebhookFluentImpl: io.fabric.kubernetes.api.model.admissionregistration.v1beta.MutatingWebhookFluent withTimeoutSeconds(java.lang.Integer)>(v);
+return v;
+}
 public boolean equals(java.lang.Object)
 {
 java.lang.Integer v, v, v, v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.ServiceReferenceFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.ServiceReferenceFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.ServiceReferenceFluent.jimple	2025-03-13 13:43:52.359535240 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.ServiceReferenceFluent.jimple	2025-03-13 13:43:58.547437975 +0000
@@ -21,4 +21,6 @@
 public abstract java.lang.Integer getPort();
 public abstract io.fabric.kubernetes.api.model.admissionregistration.v1beta.ServiceReferenceFluent withPort(java.lang.Integer);
 public abstract java.lang.Boolean hasPort();
+public abstract io.fabric.kubernetes.api.model.admissionregistration.v1beta.ServiceReferenceFluent withNewPort(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.admissionregistration.v1beta.ServiceReferenceFluent withNewPort(int);
 }
\ No newline at end of file
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.ServiceReferenceFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.ServiceReferenceFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.ServiceReferenceFluentImpl.jimple	2025-03-13 13:43:52.367535114 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.ServiceReferenceFluentImpl.jimple	2025-03-13 13:43:58.555437850 +0000
@@ -280,6 +280,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.admissionregistration.v1beta.ServiceReferenceFluent withNewPort(java.lang.String)
+{
+io.fabric.kubernetes.api.model.admissionregistration.v1beta.ServiceReferenceFluentImpl v;
+java.lang.String v;
+java.lang.Integer v;
+io.fabric.kubernetes.api.model.admissionregistration.v1beta.ServiceReferenceFluent v;
+v := @this: io.fabric.kubernetes.api.model.admissionregistration.v1beta.ServiceReferenceFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.admissionregistration.v1beta.ServiceReferenceFluentImpl: io.fabric.kubernetes.api.model.admissionregistration.v1beta.ServiceReferenceFluent withPort(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.admissionregistration.v1beta.ServiceReferenceFluent withNewPort(int)
+{
+int v;
+io.fabric.kubernetes.api.model.admissionregistration.v1beta.ServiceReferenceFluentImpl v;
+java.lang.Integer v;
+io.fabric.kubernetes.api.model.admissionregistration.v1beta.ServiceReferenceFluent v;
+v := @this: io.fabric.kubernetes.api.model.admissionregistration.v1beta.ServiceReferenceFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.admissionregistration.v1beta.ServiceReferenceFluentImpl: io.fabric.kubernetes.api.model.admissionregistration.v1beta.ServiceReferenceFluent withPort(java.lang.Integer)>(v);
+return v;
+}
 public boolean equals(java.lang.Object)
 {
 java.lang.Integer v, v, v, v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.ValidatingWebhookFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.ValidatingWebhookFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.ValidatingWebhookFluent.jimple	2025-03-13 13:43:52.427534171 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.ValidatingWebhookFluent.jimple	2025-03-13 13:43:58.615436906 +0000
@@ -96,4 +96,6 @@
 public abstract java.lang.Integer getTimeoutSeconds();
 public abstract io.fabric.kubernetes.api.model.admissionregistration.v1beta.ValidatingWebhookFluent withTimeoutSeconds(java.lang.Integer);
 public abstract java.lang.Boolean hasTimeoutSeconds();
+public abstract io.fabric.kubernetes.api.model.admissionregistration.v1beta.ValidatingWebhookFluent withNewTimeoutSeconds(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.admissionregistration.v1beta.ValidatingWebhookFluent withNewTimeoutSeconds(int);
 }
\ No newline at end of file
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.ValidatingWebhookFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.ValidatingWebhookFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.ValidatingWebhookFluentImpl.jimple	2025-03-13 13:43:52.427534171 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-admissionregistration-5.2.1.jar:kubernetes-model-admissionregistration-5.2.1.jar/io.fabric8.kubernetes.api.model.admissionregistration.v1beta1.ValidatingWebhookFluentImpl.jimple	2025-03-13 13:43:58.615436906 +0000
@@ -1755,6 +1755,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.admissionregistration.v1beta.ValidatingWebhookFluent withNewTimeoutSeconds(java.lang.String)
+{
+io.fabric.kubernetes.api.model.admissionregistration.v1beta.ValidatingWebhookFluentImpl v;
+io.fabric.kubernetes.api.model.admissionregistration.v1beta.ValidatingWebhookFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.admissionregistration.v1beta.ValidatingWebhookFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.admissionregistration.v1beta.ValidatingWebhookFluentImpl: io.fabric.kubernetes.api.model.admissionregistration.v1beta.ValidatingWebhookFluent withTimeoutSeconds(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.admissionregistration.v1beta.ValidatingWebhookFluent withNewTimeoutSeconds(int)
+{
+io.fabric.kubernetes.api.model.admissionregistration.v1beta.ValidatingWebhookFluentImpl v;
+io.fabric.kubernetes.api.model.admissionregistration.v1beta.ValidatingWebhookFluent v;
+int v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.admissionregistration.v1beta.ValidatingWebhookFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.admissionregistration.v1beta.ValidatingWebhookFluentImpl: io.fabric.kubernetes.api.model.admissionregistration.v1beta.ValidatingWebhookFluent withTimeoutSeconds(java.lang.Integer)>(v);
+return v;
+}
 public boolean equals(java.lang.Object)
 {
 java.lang.Integer v, v, v, v;