diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.CronJobSpecFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.CronJobSpecFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.CronJobSpecFluent.jimple	2025-03-13 13:47:27.940146535 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.CronJobSpecFluent.jimple	2025-03-13 13:47:30.520105979 +0000
@@ -9,6 +9,8 @@
 public abstract java.lang.Integer getFailedJobsHistoryLimit();
 public abstract io.fabric.kubernetes.api.model.batch.CronJobSpecFluent withFailedJobsHistoryLimit(java.lang.Integer);
 public abstract java.lang.Boolean hasFailedJobsHistoryLimit();
+public abstract io.fabric.kubernetes.api.model.batch.CronJobSpecFluent withNewFailedJobsHistoryLimit(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.batch.CronJobSpecFluent withNewFailedJobsHistoryLimit(int);
 public abstract io.fabric.kubernetes.api.model.batch.JobTemplateSpec getJobTemplate();
 public abstract io.fabric.kubernetes.api.model.batch.JobTemplateSpec buildJobTemplate();
 public abstract io.fabric.kubernetes.api.model.batch.CronJobSpecFluent withJobTemplate(io.fabric.kubernetes.api.model.batch.JobTemplateSpec);
@@ -30,6 +32,8 @@
 public abstract java.lang.Integer getSuccessfulJobsHistoryLimit();
 public abstract io.fabric.kubernetes.api.model.batch.CronJobSpecFluent withSuccessfulJobsHistoryLimit(java.lang.Integer);
 public abstract java.lang.Boolean hasSuccessfulJobsHistoryLimit();
+public abstract io.fabric.kubernetes.api.model.batch.CronJobSpecFluent withNewSuccessfulJobsHistoryLimit(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.batch.CronJobSpecFluent withNewSuccessfulJobsHistoryLimit(int);
 public abstract java.lang.Boolean isSuspend();
 public abstract io.fabric.kubernetes.api.model.batch.CronJobSpecFluent withSuspend(java.lang.Boolean);
 public abstract java.lang.Boolean hasSuspend();
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.CronJobSpecFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.CronJobSpecFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.CronJobSpecFluentImpl.jimple	2025-03-13 13:47:27.936146597 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.CronJobSpecFluentImpl.jimple	2025-03-13 13:47:30.516106041 +0000
@@ -148,6 +148,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.batch.CronJobSpecFluent withNewFailedJobsHistoryLimit(java.lang.String)
+{
+io.fabric.kubernetes.api.model.batch.CronJobSpecFluent v;
+java.lang.String v;
+io.fabric.kubernetes.api.model.batch.CronJobSpecFluentImpl v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.CronJobSpecFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.CronJobSpecFluentImpl: io.fabric.kubernetes.api.model.batch.CronJobSpecFluent withFailedJobsHistoryLimit(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.batch.CronJobSpecFluent withNewFailedJobsHistoryLimit(int)
+{
+io.fabric.kubernetes.api.model.batch.CronJobSpecFluent v;
+int v;
+io.fabric.kubernetes.api.model.batch.CronJobSpecFluentImpl v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.CronJobSpecFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.CronJobSpecFluentImpl: io.fabric.kubernetes.api.model.batch.CronJobSpecFluent withFailedJobsHistoryLimit(java.lang.Integer)>(v);
+return v;
+}
 public io.fabric.kubernetes.api.model.batch.JobTemplateSpec getJobTemplate()
 {
 io.fabric.kubernetes.api.model.batch.JobTemplateSpecBuilder v, v;
@@ -427,6 +453,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.batch.CronJobSpecFluent withNewSuccessfulJobsHistoryLimit(java.lang.String)
+{
+io.fabric.kubernetes.api.model.batch.CronJobSpecFluent v;
+java.lang.String v;
+io.fabric.kubernetes.api.model.batch.CronJobSpecFluentImpl v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.CronJobSpecFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.CronJobSpecFluentImpl: io.fabric.kubernetes.api.model.batch.CronJobSpecFluent withSuccessfulJobsHistoryLimit(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.batch.CronJobSpecFluent withNewSuccessfulJobsHistoryLimit(int)
+{
+io.fabric.kubernetes.api.model.batch.CronJobSpecFluent v;
+int v;
+io.fabric.kubernetes.api.model.batch.CronJobSpecFluentImpl v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.CronJobSpecFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.CronJobSpecFluentImpl: io.fabric.kubernetes.api.model.batch.CronJobSpecFluent withSuccessfulJobsHistoryLimit(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.Boolean isSuspend()
 {
 java.lang.Boolean v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.JobSpecFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.JobSpecFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.JobSpecFluent.jimple	2025-03-13 13:47:27.968146095 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.JobSpecFluent.jimple	2025-03-13 13:47:30.548105539 +0000
@@ -6,9 +6,13 @@
 public abstract java.lang.Integer getBackoffLimit();
 public abstract io.fabric.kubernetes.api.model.batch.JobSpecFluent withBackoffLimit(java.lang.Integer);
 public abstract java.lang.Boolean hasBackoffLimit();
+public abstract io.fabric.kubernetes.api.model.batch.JobSpecFluent withNewBackoffLimit(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.batch.JobSpecFluent withNewBackoffLimit(int);
 public abstract java.lang.Integer getCompletions();
 public abstract io.fabric.kubernetes.api.model.batch.JobSpecFluent withCompletions(java.lang.Integer);
 public abstract java.lang.Boolean hasCompletions();
+public abstract io.fabric.kubernetes.api.model.batch.JobSpecFluent withNewCompletions(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.batch.JobSpecFluent withNewCompletions(int);
 public abstract java.lang.Boolean isManualSelector();
 public abstract io.fabric.kubernetes.api.model.batch.JobSpecFluent withManualSelector(java.lang.Boolean);
 public abstract java.lang.Boolean hasManualSelector();
@@ -17,6 +21,8 @@
 public abstract java.lang.Integer getParallelism();
 public abstract io.fabric.kubernetes.api.model.batch.JobSpecFluent withParallelism(java.lang.Integer);
 public abstract java.lang.Boolean hasParallelism();
+public abstract io.fabric.kubernetes.api.model.batch.JobSpecFluent withNewParallelism(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.batch.JobSpecFluent withNewParallelism(int);
 public abstract io.fabric.kubernetes.api.model.LabelSelector getSelector();
 public abstract io.fabric.kubernetes.api.model.LabelSelector buildSelector();
 public abstract io.fabric.kubernetes.api.model.batch.JobSpecFluent withSelector(io.fabric.kubernetes.api.model.LabelSelector);
@@ -38,4 +44,6 @@
 public abstract java.lang.Integer getTtlSecondsAfterFinished();
 public abstract io.fabric.kubernetes.api.model.batch.JobSpecFluent withTtlSecondsAfterFinished(java.lang.Integer);
 public abstract java.lang.Boolean hasTtlSecondsAfterFinished();
+public abstract io.fabric.kubernetes.api.model.batch.JobSpecFluent withNewTtlSecondsAfterFinished(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.batch.JobSpecFluent withNewTtlSecondsAfterFinished(int);
 }
\ No newline at end of file
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.JobSpecFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.JobSpecFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.JobSpecFluentImpl.jimple	2025-03-13 13:47:27.980145905 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.JobSpecFluentImpl.jimple	2025-03-13 13:47:30.560105351 +0000
@@ -113,6 +113,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.batch.JobSpecFluent withNewBackoffLimit(java.lang.String)
+{
+io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl v;
+io.fabric.kubernetes.api.model.batch.JobSpecFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl: io.fabric.kubernetes.api.model.batch.JobSpecFluent withBackoffLimit(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.batch.JobSpecFluent withNewBackoffLimit(int)
+{
+io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl v;
+io.fabric.kubernetes.api.model.batch.JobSpecFluent v;
+int v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl: io.fabric.kubernetes.api.model.batch.JobSpecFluent withBackoffLimit(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.Integer getCompletions()
 {
 io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl v;
@@ -147,6 +173,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.batch.JobSpecFluent withNewCompletions(java.lang.String)
+{
+io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl v;
+io.fabric.kubernetes.api.model.batch.JobSpecFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl: io.fabric.kubernetes.api.model.batch.JobSpecFluent withCompletions(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.batch.JobSpecFluent withNewCompletions(int)
+{
+io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl v;
+io.fabric.kubernetes.api.model.batch.JobSpecFluent v;
+int v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl: io.fabric.kubernetes.api.model.batch.JobSpecFluent withCompletions(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.Boolean isManualSelector()
 {
 io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl v;
@@ -240,6 +292,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.batch.JobSpecFluent withNewParallelism(java.lang.String)
+{
+io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl v;
+io.fabric.kubernetes.api.model.batch.JobSpecFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl: io.fabric.kubernetes.api.model.batch.JobSpecFluent withParallelism(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.batch.JobSpecFluent withNewParallelism(int)
+{
+io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl v;
+io.fabric.kubernetes.api.model.batch.JobSpecFluent v;
+int v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl: io.fabric.kubernetes.api.model.batch.JobSpecFluent withParallelism(java.lang.Integer)>(v);
+return v;
+}
 public io.fabric.kubernetes.api.model.LabelSelector getSelector()
 {
 io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl v;
@@ -552,6 +630,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.batch.JobSpecFluent withNewTtlSecondsAfterFinished(java.lang.String)
+{
+io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl v;
+io.fabric.kubernetes.api.model.batch.JobSpecFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl: io.fabric.kubernetes.api.model.batch.JobSpecFluent withTtlSecondsAfterFinished(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.batch.JobSpecFluent withNewTtlSecondsAfterFinished(int)
+{
+io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl v;
+io.fabric.kubernetes.api.model.batch.JobSpecFluent v;
+int v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.JobSpecFluentImpl: io.fabric.kubernetes.api.model.batch.JobSpecFluent withTtlSecondsAfterFinished(java.lang.Integer)>(v);
+return v;
+}
 public boolean equals(java.lang.Object)
 {
 java.lang.Integer v, v, v, v, v, v, v, v, v, v, v, v, v, v, v, v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.JobStatusFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.JobStatusFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.JobStatusFluent.jimple	2025-03-13 13:47:28.004145529 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.JobStatusFluent.jimple	2025-03-13 13:47:30.584104972 +0000
@@ -3,6 +3,8 @@
 public abstract java.lang.Integer getActive();
 public abstract io.fabric.kubernetes.api.model.batch.JobStatusFluent withActive(java.lang.Integer);
 public abstract java.lang.Boolean hasActive();
+public abstract io.fabric.kubernetes.api.model.batch.JobStatusFluent withNewActive(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.batch.JobStatusFluent withNewActive(int);
 public abstract java.lang.String getCompletionTime();
 public abstract io.fabric.kubernetes.api.model.batch.JobStatusFluent withCompletionTime(java.lang.String);
 public abstract java.lang.Boolean hasCompletionTime();
@@ -36,6 +38,8 @@
 public abstract java.lang.Integer getFailed();
 public abstract io.fabric.kubernetes.api.model.batch.JobStatusFluent withFailed(java.lang.Integer);
 public abstract java.lang.Boolean hasFailed();
+public abstract io.fabric.kubernetes.api.model.batch.JobStatusFluent withNewFailed(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.batch.JobStatusFluent withNewFailed(int);
 public abstract java.lang.String getStartTime();
 public abstract io.fabric.kubernetes.api.model.batch.JobStatusFluent withStartTime(java.lang.String);
 public abstract java.lang.Boolean hasStartTime();
@@ -45,4 +49,6 @@
 public abstract java.lang.Integer getSucceeded();
 public abstract io.fabric.kubernetes.api.model.batch.JobStatusFluent withSucceeded(java.lang.Integer);
 public abstract java.lang.Boolean hasSucceeded();
+public abstract io.fabric.kubernetes.api.model.batch.JobStatusFluent withNewSucceeded(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.batch.JobStatusFluent withNewSucceeded(int);
 }
\ No newline at end of file
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.JobStatusFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.JobStatusFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.JobStatusFluentImpl.jimple	2025-03-13 13:47:28.004145529 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-batch-5.2.1.jar:kubernetes-model-batch-5.2.1.jar/io.fabric8.kubernetes.api.model.batch.JobStatusFluentImpl.jimple	2025-03-13 13:47:30.584104972 +0000
@@ -79,6 +79,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.batch.JobStatusFluent withNewActive(java.lang.String)
+{
+io.fabric.kubernetes.api.model.batch.JobStatusFluent v;
+io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl: io.fabric.kubernetes.api.model.batch.JobStatusFluent withActive(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.batch.JobStatusFluent withNewActive(int)
+{
+io.fabric.kubernetes.api.model.batch.JobStatusFluent v;
+int v;
+io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl: io.fabric.kubernetes.api.model.batch.JobStatusFluent withActive(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.String getCompletionTime()
 {
 io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl v;
@@ -770,6 +796,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.batch.JobStatusFluent withNewFailed(java.lang.String)
+{
+io.fabric.kubernetes.api.model.batch.JobStatusFluent v;
+io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl: io.fabric.kubernetes.api.model.batch.JobStatusFluent withFailed(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.batch.JobStatusFluent withNewFailed(int)
+{
+io.fabric.kubernetes.api.model.batch.JobStatusFluent v;
+int v;
+io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl: io.fabric.kubernetes.api.model.batch.JobStatusFluent withFailed(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.String getStartTime()
 {
 io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl v;
@@ -876,6 +928,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.batch.JobStatusFluent withNewSucceeded(java.lang.String)
+{
+io.fabric.kubernetes.api.model.batch.JobStatusFluent v;
+io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl: io.fabric.kubernetes.api.model.batch.JobStatusFluent withSucceeded(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.batch.JobStatusFluent withNewSucceeded(int)
+{
+io.fabric.kubernetes.api.model.batch.JobStatusFluent v;
+int v;
+io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.batch.JobStatusFluentImpl: io.fabric.kubernetes.api.model.batch.JobStatusFluent withSucceeded(java.lang.Integer)>(v);
+return v;
+}
 public boolean equals(java.lang.Object)
 {
 java.lang.Integer v, v, v, v, v, v, v, v, v, v, v, v;