diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-coordination-5.2.1.jar:kubernetes-model-coordination-5.2.1.jar/io.fabric8.kubernetes.api.model.coordination.v1.LeaseSpecFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-coordination-5.2.1.jar:kubernetes-model-coordination-5.2.1.jar/io.fabric8.kubernetes.api.model.coordination.v1.LeaseSpecFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-coordination-5.2.1.jar:kubernetes-model-coordination-5.2.1.jar/io.fabric8.kubernetes.api.model.coordination.v1.LeaseSpecFluent.jimple	2025-03-13 13:49:51.137895487 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-coordination-5.2.1.jar:kubernetes-model-coordination-5.2.1.jar/io.fabric8.kubernetes.api.model.coordination.v1.LeaseSpecFluent.jimple	2025-03-13 13:49:53.073865054 +0000
@@ -12,9 +12,13 @@
 public abstract java.lang.Integer getLeaseDurationSeconds();
 public abstract io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent withLeaseDurationSeconds(java.lang.Integer);
 public abstract java.lang.Boolean hasLeaseDurationSeconds();
+public abstract io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent withNewLeaseDurationSeconds(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent withNewLeaseDurationSeconds(int);
 public abstract java.lang.Integer getLeaseTransitions();
 public abstract io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent withLeaseTransitions(java.lang.Integer);
 public abstract java.lang.Boolean hasLeaseTransitions();
+public abstract io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent withNewLeaseTransitions(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent withNewLeaseTransitions(int);
 public abstract java.time.ZonedDateTime getRenewTime();
 public abstract io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent withRenewTime(java.time.ZonedDateTime);
 public abstract java.lang.Boolean hasRenewTime();
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-coordination-5.2.1.jar:kubernetes-model-coordination-5.2.1.jar/io.fabric8.kubernetes.api.model.coordination.v1.LeaseSpecFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-coordination-5.2.1.jar:kubernetes-model-coordination-5.2.1.jar/io.fabric8.kubernetes.api.model.coordination.v1.LeaseSpecFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-coordination-5.2.1.jar:kubernetes-model-coordination-5.2.1.jar/io.fabric8.kubernetes.api.model.coordination.v1.LeaseSpecFluentImpl.jimple	2025-03-13 13:49:51.137895487 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-coordination-5.2.1.jar:kubernetes-model-coordination-5.2.1.jar/io.fabric8.kubernetes.api.model.coordination.v1.LeaseSpecFluentImpl.jimple	2025-03-13 13:49:53.073865054 +0000
@@ -178,6 +178,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent withNewLeaseDurationSeconds(java.lang.String)
+{
+io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluentImpl v;
+io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluentImpl: io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent withLeaseDurationSeconds(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent withNewLeaseDurationSeconds(int)
+{
+io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluentImpl v;
+io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent v;
+int v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluentImpl: io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent withLeaseDurationSeconds(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.Integer getLeaseTransitions()
 {
 io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluentImpl v;
@@ -212,6 +238,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent withNewLeaseTransitions(java.lang.String)
+{
+io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluentImpl v;
+io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluentImpl: io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent withLeaseTransitions(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent withNewLeaseTransitions(int)
+{
+io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluentImpl v;
+io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent v;
+int v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluentImpl: io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluent withLeaseTransitions(java.lang.Integer)>(v);
+return v;
+}
 public java.time.ZonedDateTime getRenewTime()
 {
 io.fabric.kubernetes.api.model.coordination.v.LeaseSpecFluentImpl v;