diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-discovery-5.2.1.jar:kubernetes-model-discovery-5.2.1.jar/io.fabric8.kubernetes.api.model.discovery.v1beta1.EndpointPortFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-discovery-5.2.1.jar:kubernetes-model-discovery-5.2.1.jar/io.fabric8.kubernetes.api.model.discovery.v1beta1.EndpointPortFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-discovery-5.2.1.jar:kubernetes-model-discovery-5.2.1.jar/io.fabric8.kubernetes.api.model.discovery.v1beta1.EndpointPortFluent.jimple	2025-03-13 13:40:02.171153193 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-discovery-5.2.1.jar:kubernetes-model-discovery-5.2.1.jar/io.fabric8.kubernetes.api.model.discovery.v1beta1.EndpointPortFluent.jimple	2025-03-13 13:40:04.715113211 +0000
@@ -15,6 +15,8 @@
 public abstract java.lang.Integer getPort();
 public abstract io.fabric.kubernetes.api.model.discovery.v1beta.EndpointPortFluent withPort(java.lang.Integer);
 public abstract java.lang.Boolean hasPort();
+public abstract io.fabric.kubernetes.api.model.discovery.v1beta.EndpointPortFluent withNewPort(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.discovery.v1beta.EndpointPortFluent withNewPort(int);
 public abstract java.lang.String getProtocol();
 public abstract io.fabric.kubernetes.api.model.discovery.v1beta.EndpointPortFluent withProtocol(java.lang.String);
 public abstract java.lang.Boolean hasProtocol();
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-discovery-5.2.1.jar:kubernetes-model-discovery-5.2.1.jar/io.fabric8.kubernetes.api.model.discovery.v1beta1.EndpointPortFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-discovery-5.2.1.jar:kubernetes-model-discovery-5.2.1.jar/io.fabric8.kubernetes.api.model.discovery.v1beta1.EndpointPortFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-discovery-5.2.1.jar:kubernetes-model-discovery-5.2.1.jar/io.fabric8.kubernetes.api.model.discovery.v1beta1.EndpointPortFluentImpl.jimple	2025-03-13 13:40:02.171153193 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-discovery-5.2.1.jar:kubernetes-model-discovery-5.2.1.jar/io.fabric8.kubernetes.api.model.discovery.v1beta1.EndpointPortFluentImpl.jimple	2025-03-13 13:40:04.715113211 +0000
@@ -208,6 +208,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.discovery.v1beta.EndpointPortFluent withNewPort(java.lang.String)
+{
+io.fabric.kubernetes.api.model.discovery.v1beta.EndpointPortFluent v;
+io.fabric.kubernetes.api.model.discovery.v1beta.EndpointPortFluentImpl v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.discovery.v1beta.EndpointPortFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.discovery.v1beta.EndpointPortFluentImpl: io.fabric.kubernetes.api.model.discovery.v1beta.EndpointPortFluent withPort(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.discovery.v1beta.EndpointPortFluent withNewPort(int)
+{
+io.fabric.kubernetes.api.model.discovery.v1beta.EndpointPortFluent v;
+int v;
+io.fabric.kubernetes.api.model.discovery.v1beta.EndpointPortFluentImpl v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.discovery.v1beta.EndpointPortFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.discovery.v1beta.EndpointPortFluentImpl: io.fabric.kubernetes.api.model.discovery.v1beta.EndpointPortFluent withPort(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.String getProtocol()
 {
 io.fabric.kubernetes.api.model.discovery.v1beta.EndpointPortFluentImpl v;