diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1.EventFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1.EventFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1.EventFluent.jimple	2025-03-13 13:39:03.252079161 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1.EventFluent.jimple	2025-03-13 13:39:05.756039809 +0000
@@ -15,6 +15,8 @@
 public abstract java.lang.Integer getDeprecatedCount();
 public abstract io.fabric.kubernetes.api.model.events.v.EventFluent withDeprecatedCount(java.lang.Integer);
 public abstract java.lang.Boolean hasDeprecatedCount();
+public abstract io.fabric.kubernetes.api.model.events.v.EventFluent withNewDeprecatedCount(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.events.v.EventFluent withNewDeprecatedCount(int);
 public abstract java.lang.String getDeprecatedFirstTimestamp();
 public abstract io.fabric.kubernetes.api.model.events.v.EventFluent withDeprecatedFirstTimestamp(java.lang.String);
 public abstract java.lang.Boolean hasDeprecatedFirstTimestamp();
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1.EventFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1.EventFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1.EventFluentImpl.jimple	2025-03-13 13:39:03.248079223 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1.EventFluentImpl.jimple	2025-03-13 13:39:05.752039872 +0000
@@ -252,6 +252,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.events.v.EventFluent withNewDeprecatedCount(java.lang.String)
+{
+io.fabric.kubernetes.api.model.events.v.EventFluentImpl v;
+io.fabric.kubernetes.api.model.events.v.EventFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.events.v.EventFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.events.v.EventFluentImpl: io.fabric.kubernetes.api.model.events.v.EventFluent withDeprecatedCount(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.events.v.EventFluent withNewDeprecatedCount(int)
+{
+io.fabric.kubernetes.api.model.events.v.EventFluentImpl v;
+int v;
+io.fabric.kubernetes.api.model.events.v.EventFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.events.v.EventFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.events.v.EventFluentImpl: io.fabric.kubernetes.api.model.events.v.EventFluent withDeprecatedCount(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.String getDeprecatedFirstTimestamp()
 {
 java.lang.String v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1.EventSeriesFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1.EventSeriesFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1.EventSeriesFluent.jimple	2025-03-13 13:39:03.256079098 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1.EventSeriesFluent.jimple	2025-03-13 13:39:05.764039684 +0000
@@ -3,6 +3,8 @@
 public abstract java.lang.Integer getCount();
 public abstract io.fabric.kubernetes.api.model.events.v.EventSeriesFluent withCount(java.lang.Integer);
 public abstract java.lang.Boolean hasCount();
+public abstract io.fabric.kubernetes.api.model.events.v.EventSeriesFluent withNewCount(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.events.v.EventSeriesFluent withNewCount(int);
 public abstract io.fabric.kubernetes.api.model.MicroTime getLastObservedTime();
 public abstract io.fabric.kubernetes.api.model.events.v.EventSeriesFluent withLastObservedTime(io.fabric.kubernetes.api.model.MicroTime);
 public abstract java.lang.Boolean hasLastObservedTime();
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1.EventSeriesFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1.EventSeriesFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1.EventSeriesFluentImpl.jimple	2025-03-13 13:39:03.256079098 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1.EventSeriesFluentImpl.jimple	2025-03-13 13:39:05.764039684 +0000
@@ -58,6 +58,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.events.v.EventSeriesFluent withNewCount(java.lang.String)
+{
+io.fabric.kubernetes.api.model.events.v.EventSeriesFluent v;
+java.lang.String v;
+io.fabric.kubernetes.api.model.events.v.EventSeriesFluentImpl v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.events.v.EventSeriesFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.events.v.EventSeriesFluentImpl: io.fabric.kubernetes.api.model.events.v.EventSeriesFluent withCount(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.events.v.EventSeriesFluent withNewCount(int)
+{
+int v;
+io.fabric.kubernetes.api.model.events.v.EventSeriesFluent v;
+io.fabric.kubernetes.api.model.events.v.EventSeriesFluentImpl v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.events.v.EventSeriesFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.events.v.EventSeriesFluentImpl: io.fabric.kubernetes.api.model.events.v.EventSeriesFluent withCount(java.lang.Integer)>(v);
+return v;
+}
 public io.fabric.kubernetes.api.model.MicroTime getLastObservedTime()
 {
 io.fabric.kubernetes.api.model.MicroTime v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1beta1.EventFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1beta1.EventFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1beta1.EventFluent.jimple	2025-03-13 13:39:03.332077903 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1beta1.EventFluent.jimple	2025-03-13 13:39:05.860038175 +0000
@@ -15,6 +15,8 @@
 public abstract java.lang.Integer getDeprecatedCount();
 public abstract io.fabric.kubernetes.api.model.events.v1beta.EventFluent withDeprecatedCount(java.lang.Integer);
 public abstract java.lang.Boolean hasDeprecatedCount();
+public abstract io.fabric.kubernetes.api.model.events.v1beta.EventFluent withNewDeprecatedCount(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.events.v1beta.EventFluent withNewDeprecatedCount(int);
 public abstract java.lang.String getDeprecatedFirstTimestamp();
 public abstract io.fabric.kubernetes.api.model.events.v1beta.EventFluent withDeprecatedFirstTimestamp(java.lang.String);
 public abstract java.lang.Boolean hasDeprecatedFirstTimestamp();
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1beta1.EventFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1beta1.EventFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1beta1.EventFluentImpl.jimple	2025-03-13 13:39:03.324078028 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1beta1.EventFluentImpl.jimple	2025-03-13 13:39:05.856038237 +0000
@@ -252,6 +252,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.events.v1beta.EventFluent withNewDeprecatedCount(java.lang.String)
+{
+io.fabric.kubernetes.api.model.events.v1beta.EventFluentImpl v;
+io.fabric.kubernetes.api.model.events.v1beta.EventFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.events.v1beta.EventFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.events.v1beta.EventFluentImpl: io.fabric.kubernetes.api.model.events.v1beta.EventFluent withDeprecatedCount(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.events.v1beta.EventFluent withNewDeprecatedCount(int)
+{
+io.fabric.kubernetes.api.model.events.v1beta.EventFluentImpl v;
+int v;
+io.fabric.kubernetes.api.model.events.v1beta.EventFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.events.v1beta.EventFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.events.v1beta.EventFluentImpl: io.fabric.kubernetes.api.model.events.v1beta.EventFluent withDeprecatedCount(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.String getDeprecatedFirstTimestamp()
 {
 io.fabric.kubernetes.api.model.events.v1beta.EventFluentImpl v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1beta1.EventSeriesFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1beta1.EventSeriesFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1beta1.EventSeriesFluent.jimple	2025-03-13 13:39:03.340077778 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1beta1.EventSeriesFluent.jimple	2025-03-13 13:39:05.864038112 +0000
@@ -3,6 +3,8 @@
 public abstract java.lang.Integer getCount();
 public abstract io.fabric.kubernetes.api.model.events.v1beta.EventSeriesFluent withCount(java.lang.Integer);
 public abstract java.lang.Boolean hasCount();
+public abstract io.fabric.kubernetes.api.model.events.v1beta.EventSeriesFluent withNewCount(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.events.v1beta.EventSeriesFluent withNewCount(int);
 public abstract io.fabric.kubernetes.api.model.MicroTime getLastObservedTime();
 public abstract io.fabric.kubernetes.api.model.events.v1beta.EventSeriesFluent withLastObservedTime(io.fabric.kubernetes.api.model.MicroTime);
 public abstract java.lang.Boolean hasLastObservedTime();
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1beta1.EventSeriesFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1beta1.EventSeriesFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1beta1.EventSeriesFluentImpl.jimple	2025-03-13 13:39:03.340077778 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-events-5.2.1.jar:kubernetes-model-events-5.2.1.jar/io.fabric8.kubernetes.api.model.events.v1beta1.EventSeriesFluentImpl.jimple	2025-03-13 13:39:05.864038112 +0000
@@ -58,6 +58,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.events.v1beta.EventSeriesFluent withNewCount(java.lang.String)
+{
+io.fabric.kubernetes.api.model.events.v1beta.EventSeriesFluentImpl v;
+io.fabric.kubernetes.api.model.events.v1beta.EventSeriesFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.events.v1beta.EventSeriesFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.events.v1beta.EventSeriesFluentImpl: io.fabric.kubernetes.api.model.events.v1beta.EventSeriesFluent withCount(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.events.v1beta.EventSeriesFluent withNewCount(int)
+{
+io.fabric.kubernetes.api.model.events.v1beta.EventSeriesFluentImpl v;
+io.fabric.kubernetes.api.model.events.v1beta.EventSeriesFluent v;
+int v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.events.v1beta.EventSeriesFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.events.v1beta.EventSeriesFluentImpl: io.fabric.kubernetes.api.model.events.v1beta.EventSeriesFluent withCount(java.lang.Integer)>(v);
+return v;
+}
 public io.fabric.kubernetes.api.model.MicroTime getLastObservedTime()
 {
 io.fabric.kubernetes.api.model.MicroTime v;