diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-policy-5.2.1.jar:kubernetes-model-policy-5.2.1.jar/io.fabric8.kubernetes.api.model.policy.HostPortRangeFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-policy-5.2.1.jar:kubernetes-model-policy-5.2.1.jar/io.fabric8.kubernetes.api.model.policy.HostPortRangeFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-policy-5.2.1.jar:kubernetes-model-policy-5.2.1.jar/io.fabric8.kubernetes.api.model.policy.HostPortRangeFluent.jimple	2025-03-13 13:41:32.761729406 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-policy-5.2.1.jar:kubernetes-model-policy-5.2.1.jar/io.fabric8.kubernetes.api.model.policy.HostPortRangeFluent.jimple	2025-03-13 13:41:36.157676031 +0000
@@ -3,7 +3,11 @@
 public abstract java.lang.Integer getMax();
 public abstract io.fabric.kubernetes.api.model.policy.HostPortRangeFluent withMax(java.lang.Integer);
 public abstract java.lang.Boolean hasMax();
+public abstract io.fabric.kubernetes.api.model.policy.HostPortRangeFluent withNewMax(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.policy.HostPortRangeFluent withNewMax(int);
 public abstract java.lang.Integer getMin();
 public abstract io.fabric.kubernetes.api.model.policy.HostPortRangeFluent withMin(java.lang.Integer);
 public abstract java.lang.Boolean hasMin();
+public abstract io.fabric.kubernetes.api.model.policy.HostPortRangeFluent withNewMin(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.policy.HostPortRangeFluent withNewMin(int);
 }
\ No newline at end of file
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-policy-5.2.1.jar:kubernetes-model-policy-5.2.1.jar/io.fabric8.kubernetes.api.model.policy.HostPortRangeFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-policy-5.2.1.jar:kubernetes-model-policy-5.2.1.jar/io.fabric8.kubernetes.api.model.policy.HostPortRangeFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-policy-5.2.1.jar:kubernetes-model-policy-5.2.1.jar/io.fabric8.kubernetes.api.model.policy.HostPortRangeFluentImpl.jimple	2025-03-13 13:41:32.761729406 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-policy-5.2.1.jar:kubernetes-model-policy-5.2.1.jar/io.fabric8.kubernetes.api.model.policy.HostPortRangeFluentImpl.jimple	2025-03-13 13:41:36.153676094 +0000
@@ -57,6 +57,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.policy.HostPortRangeFluent withNewMax(java.lang.String)
+{
+io.fabric.kubernetes.api.model.policy.HostPortRangeFluentImpl v;
+io.fabric.kubernetes.api.model.policy.HostPortRangeFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.policy.HostPortRangeFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.policy.HostPortRangeFluentImpl: io.fabric.kubernetes.api.model.policy.HostPortRangeFluent withMax(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.policy.HostPortRangeFluent withNewMax(int)
+{
+int v;
+io.fabric.kubernetes.api.model.policy.HostPortRangeFluentImpl v;
+io.fabric.kubernetes.api.model.policy.HostPortRangeFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.policy.HostPortRangeFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.policy.HostPortRangeFluentImpl: io.fabric.kubernetes.api.model.policy.HostPortRangeFluent withMax(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.Integer getMin()
 {
 io.fabric.kubernetes.api.model.policy.HostPortRangeFluentImpl v;
@@ -91,6 +117,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.policy.HostPortRangeFluent withNewMin(java.lang.String)
+{
+io.fabric.kubernetes.api.model.policy.HostPortRangeFluentImpl v;
+io.fabric.kubernetes.api.model.policy.HostPortRangeFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.policy.HostPortRangeFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.policy.HostPortRangeFluentImpl: io.fabric.kubernetes.api.model.policy.HostPortRangeFluent withMin(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.policy.HostPortRangeFluent withNewMin(int)
+{
+int v;
+io.fabric.kubernetes.api.model.policy.HostPortRangeFluentImpl v;
+io.fabric.kubernetes.api.model.policy.HostPortRangeFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.policy.HostPortRangeFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.policy.HostPortRangeFluentImpl: io.fabric.kubernetes.api.model.policy.HostPortRangeFluent withMin(java.lang.Integer)>(v);
+return v;
+}
 public boolean equals(java.lang.Object)
 {
 io.fabric.kubernetes.api.model.policy.HostPortRangeFluentImpl v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-policy-5.2.1.jar:kubernetes-model-policy-5.2.1.jar/io.fabric8.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-policy-5.2.1.jar:kubernetes-model-policy-5.2.1.jar/io.fabric8.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-policy-5.2.1.jar:kubernetes-model-policy-5.2.1.jar/io.fabric8.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent.jimple	2025-03-13 13:41:32.797728839 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-policy-5.2.1.jar:kubernetes-model-policy-5.2.1.jar/io.fabric8.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent.jimple	2025-03-13 13:41:36.189675527 +0000
@@ -3,9 +3,13 @@
 public abstract java.lang.Integer getCurrentHealthy();
 public abstract io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withCurrentHealthy(java.lang.Integer);
 public abstract java.lang.Boolean hasCurrentHealthy();
+public abstract io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withNewCurrentHealthy(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withNewCurrentHealthy(int);
 public abstract java.lang.Integer getDesiredHealthy();
 public abstract io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withDesiredHealthy(java.lang.Integer);
 public abstract java.lang.Boolean hasDesiredHealthy();
+public abstract io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withNewDesiredHealthy(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withNewDesiredHealthy(int);
 public abstract io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent addToDisruptedPods(java.lang.String, java.lang.String);
 public abstract io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent addToDisruptedPods(java.util.Map);
 public abstract io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent removeFromDisruptedPods(java.lang.String);
@@ -16,9 +20,13 @@
 public abstract java.lang.Integer getDisruptionsAllowed();
 public abstract io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withDisruptionsAllowed(java.lang.Integer);
 public abstract java.lang.Boolean hasDisruptionsAllowed();
+public abstract io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withNewDisruptionsAllowed(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withNewDisruptionsAllowed(int);
 public abstract java.lang.Integer getExpectedPods();
 public abstract io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withExpectedPods(java.lang.Integer);
 public abstract java.lang.Boolean hasExpectedPods();
+public abstract io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withNewExpectedPods(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withNewExpectedPods(int);
 public abstract java.lang.Long getObservedGeneration();
 public abstract io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withObservedGeneration(java.lang.Long);
 public abstract java.lang.Boolean hasObservedGeneration();
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-policy-5.2.1.jar:kubernetes-model-policy-5.2.1.jar/io.fabric8.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-policy-5.2.1.jar:kubernetes-model-policy-5.2.1.jar/io.fabric8.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-policy-5.2.1.jar:kubernetes-model-policy-5.2.1.jar/io.fabric8.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl.jimple	2025-03-13 13:41:32.793728902 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-policy-5.2.1.jar:kubernetes-model-policy-5.2.1.jar/io.fabric8.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl.jimple	2025-03-13 13:41:36.189675527 +0000
@@ -71,6 +71,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withNewCurrentHealthy(java.lang.String)
+{
+io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl v;
+io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl: io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withCurrentHealthy(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withNewCurrentHealthy(int)
+{
+io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl v;
+int v;
+io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl: io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withCurrentHealthy(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.Integer getDesiredHealthy()
 {
 io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl v;
@@ -105,6 +131,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withNewDesiredHealthy(java.lang.String)
+{
+io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl v;
+io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl: io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withDesiredHealthy(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withNewDesiredHealthy(int)
+{
+io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl v;
+int v;
+io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl: io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withDesiredHealthy(java.lang.Integer)>(v);
+return v;
+}
 public io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent addToDisruptedPods(java.lang.String, java.lang.String)
 {
 java.util.LinkedHashMap v;
@@ -273,6 +325,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withNewDisruptionsAllowed(java.lang.String)
+{
+io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl v;
+io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl: io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withDisruptionsAllowed(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withNewDisruptionsAllowed(int)
+{
+io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl v;
+int v;
+io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl: io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withDisruptionsAllowed(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.Integer getExpectedPods()
 {
 io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl v;
@@ -307,6 +385,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withNewExpectedPods(java.lang.String)
+{
+io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl v;
+io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl: io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withExpectedPods(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withNewExpectedPods(int)
+{
+io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl v;
+int v;
+io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl: io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluent withExpectedPods(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.Long getObservedGeneration()
 {
 io.fabric.kubernetes.api.model.policy.PodDisruptionBudgetStatusFluentImpl v;