diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-scheduling-5.2.1.jar:kubernetes-model-scheduling-5.2.1.jar/io.fabric8.kubernetes.api.model.scheduling.v1.PriorityClassFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-scheduling-5.2.1.jar:kubernetes-model-scheduling-5.2.1.jar/io.fabric8.kubernetes.api.model.scheduling.v1.PriorityClassFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-scheduling-5.2.1.jar:kubernetes-model-scheduling-5.2.1.jar/io.fabric8.kubernetes.api.model.scheduling.v1.PriorityClassFluent.jimple	2025-03-13 13:41:00.390238188 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-scheduling-5.2.1.jar:kubernetes-model-scheduling-5.2.1.jar/io.fabric8.kubernetes.api.model.scheduling.v1.PriorityClassFluent.jimple	2025-03-13 13:41:02.590203612 +0000
@@ -41,4 +41,6 @@
 public abstract java.lang.Integer getValue();
 public abstract io.fabric.kubernetes.api.model.scheduling.v.PriorityClassFluent withValue(java.lang.Integer);
 public abstract java.lang.Boolean hasValue();
+public abstract io.fabric.kubernetes.api.model.scheduling.v.PriorityClassFluent withNewValue(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.scheduling.v.PriorityClassFluent withNewValue(int);
 }
\ No newline at end of file
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-scheduling-5.2.1.jar:kubernetes-model-scheduling-5.2.1.jar/io.fabric8.kubernetes.api.model.scheduling.v1.PriorityClassFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-scheduling-5.2.1.jar:kubernetes-model-scheduling-5.2.1.jar/io.fabric8.kubernetes.api.model.scheduling.v1.PriorityClassFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-scheduling-5.2.1.jar:kubernetes-model-scheduling-5.2.1.jar/io.fabric8.kubernetes.api.model.scheduling.v1.PriorityClassFluentImpl.jimple	2025-03-13 13:41:00.390238188 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-scheduling-5.2.1.jar:kubernetes-model-scheduling-5.2.1.jar/io.fabric8.kubernetes.api.model.scheduling.v1.PriorityClassFluentImpl.jimple	2025-03-13 13:41:02.590203612 +0000
@@ -561,6 +561,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.scheduling.v.PriorityClassFluent withNewValue(java.lang.String)
+{
+io.fabric.kubernetes.api.model.scheduling.v.PriorityClassFluent v;
+io.fabric.kubernetes.api.model.scheduling.v.PriorityClassFluentImpl v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.scheduling.v.PriorityClassFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.scheduling.v.PriorityClassFluentImpl: io.fabric.kubernetes.api.model.scheduling.v.PriorityClassFluent withValue(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.scheduling.v.PriorityClassFluent withNewValue(int)
+{
+io.fabric.kubernetes.api.model.scheduling.v.PriorityClassFluent v;
+int v;
+io.fabric.kubernetes.api.model.scheduling.v.PriorityClassFluentImpl v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.scheduling.v.PriorityClassFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.scheduling.v.PriorityClassFluentImpl: io.fabric.kubernetes.api.model.scheduling.v.PriorityClassFluent withValue(java.lang.Integer)>(v);
+return v;
+}
 public boolean equals(java.lang.Object)
 {
 java.lang.Integer v, v, v, v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-scheduling-5.2.1.jar:kubernetes-model-scheduling-5.2.1.jar/io.fabric8.kubernetes.api.model.scheduling.v1beta1.PriorityClassFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-scheduling-5.2.1.jar:kubernetes-model-scheduling-5.2.1.jar/io.fabric8.kubernetes.api.model.scheduling.v1beta1.PriorityClassFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-scheduling-5.2.1.jar:kubernetes-model-scheduling-5.2.1.jar/io.fabric8.kubernetes.api.model.scheduling.v1beta1.PriorityClassFluent.jimple	2025-03-13 13:41:00.486236680 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-scheduling-5.2.1.jar:kubernetes-model-scheduling-5.2.1.jar/io.fabric8.kubernetes.api.model.scheduling.v1beta1.PriorityClassFluent.jimple	2025-03-13 13:41:02.638202858 +0000
@@ -41,4 +41,6 @@
 public abstract java.lang.Integer getValue();
 public abstract io.fabric.kubernetes.api.model.scheduling.v1beta.PriorityClassFluent withValue(java.lang.Integer);
 public abstract java.lang.Boolean hasValue();
+public abstract io.fabric.kubernetes.api.model.scheduling.v1beta.PriorityClassFluent withNewValue(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.scheduling.v1beta.PriorityClassFluent withNewValue(int);
 }
\ No newline at end of file
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-scheduling-5.2.1.jar:kubernetes-model-scheduling-5.2.1.jar/io.fabric8.kubernetes.api.model.scheduling.v1beta1.PriorityClassFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-scheduling-5.2.1.jar:kubernetes-model-scheduling-5.2.1.jar/io.fabric8.kubernetes.api.model.scheduling.v1beta1.PriorityClassFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-scheduling-5.2.1.jar:kubernetes-model-scheduling-5.2.1.jar/io.fabric8.kubernetes.api.model.scheduling.v1beta1.PriorityClassFluentImpl.jimple	2025-03-13 13:41:00.482236742 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-scheduling-5.2.1.jar:kubernetes-model-scheduling-5.2.1.jar/io.fabric8.kubernetes.api.model.scheduling.v1beta1.PriorityClassFluentImpl.jimple	2025-03-13 13:41:02.634202921 +0000
@@ -561,6 +561,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.scheduling.v1beta.PriorityClassFluent withNewValue(java.lang.String)
+{
+io.fabric.kubernetes.api.model.scheduling.v1beta.PriorityClassFluent v;
+io.fabric.kubernetes.api.model.scheduling.v1beta.PriorityClassFluentImpl v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.scheduling.v1beta.PriorityClassFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.scheduling.v1beta.PriorityClassFluentImpl: io.fabric.kubernetes.api.model.scheduling.v1beta.PriorityClassFluent withValue(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.scheduling.v1beta.PriorityClassFluent withNewValue(int)
+{
+io.fabric.kubernetes.api.model.scheduling.v1beta.PriorityClassFluent v;
+int v;
+io.fabric.kubernetes.api.model.scheduling.v1beta.PriorityClassFluentImpl v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.scheduling.v1beta.PriorityClassFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.scheduling.v1beta.PriorityClassFluentImpl: io.fabric.kubernetes.api.model.scheduling.v1beta.PriorityClassFluent withValue(java.lang.Integer)>(v);
+return v;
+}
 public boolean equals(java.lang.Object)
 {
 java.lang.Integer v, v, v, v;