diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-storageclass-5.2.1.jar:kubernetes-model-storageclass-5.2.1.jar/io.fabric8.kubernetes.api.model.storage.v1beta1.VolumeNodeResourcesFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-storageclass-5.2.1.jar:kubernetes-model-storageclass-5.2.1.jar/io.fabric8.kubernetes.api.model.storage.v1beta1.VolumeNodeResourcesFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-storageclass-5.2.1.jar:kubernetes-model-storageclass-5.2.1.jar/io.fabric8.kubernetes.api.model.storage.v1beta1.VolumeNodeResourcesFluent.jimple	2025-03-13 13:40:55.162320355 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-storageclass-5.2.1.jar:kubernetes-model-storageclass-5.2.1.jar/io.fabric8.kubernetes.api.model.storage.v1beta1.VolumeNodeResourcesFluent.jimple	2025-03-13 13:40:58.318270753 +0000
@@ -3,4 +3,6 @@
 public abstract java.lang.Integer getCount();
 public abstract io.fabric.kubernetes.api.model.storage.v1beta.VolumeNodeResourcesFluent withCount(java.lang.Integer);
 public abstract java.lang.Boolean hasCount();
+public abstract io.fabric.kubernetes.api.model.storage.v1beta.VolumeNodeResourcesFluent withNewCount(java.lang.String);
+public abstract io.fabric.kubernetes.api.model.storage.v1beta.VolumeNodeResourcesFluent withNewCount(int);
 }
\ No newline at end of file
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-storageclass-5.2.1.jar:kubernetes-model-storageclass-5.2.1.jar/io.fabric8.kubernetes.api.model.storage.v1beta1.VolumeNodeResourcesFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-storageclass-5.2.1.jar:kubernetes-model-storageclass-5.2.1.jar/io.fabric8.kubernetes.api.model.storage.v1beta1.VolumeNodeResourcesFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/kubernetes-model-storageclass-5.2.1.jar:kubernetes-model-storageclass-5.2.1.jar/io.fabric8.kubernetes.api.model.storage.v1beta1.VolumeNodeResourcesFluentImpl.jimple	2025-03-13 13:40:55.162320355 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/kubernetes-model-storageclass-5.2.1.jar:kubernetes-model-storageclass-5.2.1.jar/io.fabric8.kubernetes.api.model.storage.v1beta1.VolumeNodeResourcesFluentImpl.jimple	2025-03-13 13:40:58.314270817 +0000
@@ -54,6 +54,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.kubernetes.api.model.storage.v1beta.VolumeNodeResourcesFluent withNewCount(java.lang.String)
+{
+java.lang.String v;
+io.fabric.kubernetes.api.model.storage.v1beta.VolumeNodeResourcesFluent v;
+io.fabric.kubernetes.api.model.storage.v1beta.VolumeNodeResourcesFluentImpl v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.storage.v1beta.VolumeNodeResourcesFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.storage.v1beta.VolumeNodeResourcesFluentImpl: io.fabric.kubernetes.api.model.storage.v1beta.VolumeNodeResourcesFluent withCount(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.kubernetes.api.model.storage.v1beta.VolumeNodeResourcesFluent withNewCount(int)
+{
+int v;
+io.fabric.kubernetes.api.model.storage.v1beta.VolumeNodeResourcesFluent v;
+io.fabric.kubernetes.api.model.storage.v1beta.VolumeNodeResourcesFluentImpl v;
+java.lang.Integer v;
+v := @this: io.fabric.kubernetes.api.model.storage.v1beta.VolumeNodeResourcesFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.kubernetes.api.model.storage.v1beta.VolumeNodeResourcesFluentImpl: io.fabric.kubernetes.api.model.storage.v1beta.VolumeNodeResourcesFluent withCount(java.lang.Integer)>(v);
+return v;
+}
 public boolean equals(java.lang.Object)
 {
 io.fabric.kubernetes.api.model.storage.v1beta.VolumeNodeResourcesFluentImpl v;