diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.APIServiceDescriptionFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.APIServiceDescriptionFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.APIServiceDescriptionFluent.jimple	2025-03-13 13:40:21.034856724 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.APIServiceDescriptionFluent.jimple	2025-03-13 13:40:28.018746962 +0000
@@ -27,6 +27,8 @@
 public abstract java.lang.Integer getContainerPort();
 public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.APIServiceDescriptionFluent withContainerPort(java.lang.Integer);
 public abstract java.lang.Boolean hasContainerPort();
+public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.APIServiceDescriptionFluent withNewContainerPort(java.lang.String);
+public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.APIServiceDescriptionFluent withNewContainerPort(int);
 public abstract java.lang.String getDeploymentName();
 public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.APIServiceDescriptionFluent withDeploymentName(java.lang.String);
 public abstract java.lang.Boolean hasDeploymentName();
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.APIServiceDescriptionFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.APIServiceDescriptionFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.APIServiceDescriptionFluentImpl.jimple	2025-03-13 13:40:21.074856095 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.APIServiceDescriptionFluentImpl.jimple	2025-03-13 13:40:28.074746082 +0000
@@ -700,6 +700,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.openshift.api.model.operatorhub.v1alpha.APIServiceDescriptionFluent withNewContainerPort(java.lang.String)
+{
+io.fabric.openshift.api.model.operatorhub.v1alpha.APIServiceDescriptionFluent v;
+io.fabric.openshift.api.model.operatorhub.v1alpha.APIServiceDescriptionFluentImpl v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.openshift.api.model.operatorhub.v1alpha.APIServiceDescriptionFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.openshift.api.model.operatorhub.v1alpha.APIServiceDescriptionFluentImpl: io.fabric.openshift.api.model.operatorhub.v1alpha.APIServiceDescriptionFluent withContainerPort(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.openshift.api.model.operatorhub.v1alpha.APIServiceDescriptionFluent withNewContainerPort(int)
+{
+io.fabric.openshift.api.model.operatorhub.v1alpha.APIServiceDescriptionFluent v;
+io.fabric.openshift.api.model.operatorhub.v1alpha.APIServiceDescriptionFluentImpl v;
+int v;
+java.lang.Integer v;
+v := @this: io.fabric.openshift.api.model.operatorhub.v1alpha.APIServiceDescriptionFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.openshift.api.model.operatorhub.v1alpha.APIServiceDescriptionFluentImpl: io.fabric.openshift.api.model.operatorhub.v1alpha.APIServiceDescriptionFluent withContainerPort(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.String getDeploymentName()
 {
 io.fabric.openshift.api.model.operatorhub.v1alpha.APIServiceDescriptionFluentImpl v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.CatalogSourceSpecFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.CatalogSourceSpecFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.CatalogSourceSpecFluent.jimple	2025-03-13 13:40:21.258853204 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.CatalogSourceSpecFluent.jimple	2025-03-13 13:40:28.258743190 +0000
@@ -43,6 +43,8 @@
 public abstract java.lang.Integer getPriority();
 public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.CatalogSourceSpecFluent withPriority(java.lang.Integer);
 public abstract java.lang.Boolean hasPriority();
+public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.CatalogSourceSpecFluent withNewPriority(java.lang.String);
+public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.CatalogSourceSpecFluent withNewPriority(int);
 public abstract java.lang.String getPublisher();
 public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.CatalogSourceSpecFluent withPublisher(java.lang.String);
 public abstract java.lang.Boolean hasPublisher();
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.CatalogSourceSpecFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.CatalogSourceSpecFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.CatalogSourceSpecFluentImpl.jimple	2025-03-13 13:40:21.246853392 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.CatalogSourceSpecFluentImpl.jimple	2025-03-13 13:40:28.246743378 +0000
@@ -609,6 +609,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.openshift.api.model.operatorhub.v1alpha.CatalogSourceSpecFluent withNewPriority(java.lang.String)
+{
+io.fabric.openshift.api.model.operatorhub.v1alpha.CatalogSourceSpecFluentImpl v;
+io.fabric.openshift.api.model.operatorhub.v1alpha.CatalogSourceSpecFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.openshift.api.model.operatorhub.v1alpha.CatalogSourceSpecFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.openshift.api.model.operatorhub.v1alpha.CatalogSourceSpecFluentImpl: io.fabric.openshift.api.model.operatorhub.v1alpha.CatalogSourceSpecFluent withPriority(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.openshift.api.model.operatorhub.v1alpha.CatalogSourceSpecFluent withNewPriority(int)
+{
+io.fabric.openshift.api.model.operatorhub.v1alpha.CatalogSourceSpecFluentImpl v;
+io.fabric.openshift.api.model.operatorhub.v1alpha.CatalogSourceSpecFluent v;
+int v;
+java.lang.Integer v;
+v := @this: io.fabric.openshift.api.model.operatorhub.v1alpha.CatalogSourceSpecFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.openshift.api.model.operatorhub.v1alpha.CatalogSourceSpecFluentImpl: io.fabric.openshift.api.model.operatorhub.v1alpha.CatalogSourceSpecFluent withPriority(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.String getPublisher()
 {
 io.fabric.openshift.api.model.operatorhub.v1alpha.CatalogSourceSpecFluentImpl v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.InstallPlanSpecFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.InstallPlanSpecFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.InstallPlanSpecFluent.jimple	2025-03-13 13:40:21.650847043 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.InstallPlanSpecFluent.jimple	2025-03-13 13:40:28.674736652 +0000
@@ -32,6 +32,8 @@
 public abstract java.lang.Integer getGeneration();
 public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.InstallPlanSpecFluent withGeneration(java.lang.Integer);
 public abstract java.lang.Boolean hasGeneration();
+public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.InstallPlanSpecFluent withNewGeneration(java.lang.String);
+public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.InstallPlanSpecFluent withNewGeneration(int);
 public abstract java.lang.String getSource();
 public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.InstallPlanSpecFluent withSource(java.lang.String);
 public abstract java.lang.Boolean hasSource();
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.InstallPlanSpecFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.InstallPlanSpecFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.InstallPlanSpecFluentImpl.jimple	2025-03-13 13:40:21.626847420 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.InstallPlanSpecFluentImpl.jimple	2025-03-13 13:40:28.650737029 +0000
@@ -577,6 +577,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.openshift.api.model.operatorhub.v1alpha.InstallPlanSpecFluent withNewGeneration(java.lang.String)
+{
+io.fabric.openshift.api.model.operatorhub.v1alpha.InstallPlanSpecFluentImpl v;
+io.fabric.openshift.api.model.operatorhub.v1alpha.InstallPlanSpecFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.openshift.api.model.operatorhub.v1alpha.InstallPlanSpecFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.openshift.api.model.operatorhub.v1alpha.InstallPlanSpecFluentImpl: io.fabric.openshift.api.model.operatorhub.v1alpha.InstallPlanSpecFluent withGeneration(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.openshift.api.model.operatorhub.v1alpha.InstallPlanSpecFluent withNewGeneration(int)
+{
+io.fabric.openshift.api.model.operatorhub.v1alpha.InstallPlanSpecFluentImpl v;
+int v;
+io.fabric.openshift.api.model.operatorhub.v1alpha.InstallPlanSpecFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.openshift.api.model.operatorhub.v1alpha.InstallPlanSpecFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.openshift.api.model.operatorhub.v1alpha.InstallPlanSpecFluentImpl: io.fabric.openshift.api.model.operatorhub.v1alpha.InstallPlanSpecFluent withGeneration(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.String getSource()
 {
 io.fabric.openshift.api.model.operatorhub.v1alpha.InstallPlanSpecFluentImpl v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.SubscriptionStatusFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.SubscriptionStatusFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.SubscriptionStatusFluent.jimple	2025-03-13 13:40:21.794844780 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.SubscriptionStatusFluent.jimple	2025-03-13 13:40:28.818734389 +0000
@@ -57,6 +57,8 @@
 public abstract java.lang.Integer getInstallPlanGeneration();
 public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.SubscriptionStatusFluent withInstallPlanGeneration(java.lang.Integer);
 public abstract java.lang.Boolean hasInstallPlanGeneration();
+public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.SubscriptionStatusFluent withNewInstallPlanGeneration(java.lang.String);
+public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.SubscriptionStatusFluent withNewInstallPlanGeneration(int);
 public abstract io.fabric.kubernetes.api.model.ObjectReference getInstallPlanRef();
 public abstract io.fabric.kubernetes.api.model.ObjectReference buildInstallPlanRef();
 public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.SubscriptionStatusFluent withInstallPlanRef(io.fabric.kubernetes.api.model.ObjectReference);
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.SubscriptionStatusFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.SubscriptionStatusFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.SubscriptionStatusFluentImpl.jimple	2025-03-13 13:40:21.794844780 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.SubscriptionStatusFluentImpl.jimple	2025-03-13 13:40:28.814734452 +0000
@@ -1341,6 +1341,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.openshift.api.model.operatorhub.v1alpha.SubscriptionStatusFluent withNewInstallPlanGeneration(java.lang.String)
+{
+io.fabric.openshift.api.model.operatorhub.v1alpha.SubscriptionStatusFluentImpl v;
+io.fabric.openshift.api.model.operatorhub.v1alpha.SubscriptionStatusFluent v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.openshift.api.model.operatorhub.v1alpha.SubscriptionStatusFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.openshift.api.model.operatorhub.v1alpha.SubscriptionStatusFluentImpl: io.fabric.openshift.api.model.operatorhub.v1alpha.SubscriptionStatusFluent withInstallPlanGeneration(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.openshift.api.model.operatorhub.v1alpha.SubscriptionStatusFluent withNewInstallPlanGeneration(int)
+{
+io.fabric.openshift.api.model.operatorhub.v1alpha.SubscriptionStatusFluentImpl v;
+int v;
+io.fabric.openshift.api.model.operatorhub.v1alpha.SubscriptionStatusFluent v;
+java.lang.Integer v;
+v := @this: io.fabric.openshift.api.model.operatorhub.v1alpha.SubscriptionStatusFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.openshift.api.model.operatorhub.v1alpha.SubscriptionStatusFluentImpl: io.fabric.openshift.api.model.operatorhub.v1alpha.SubscriptionStatusFluent withInstallPlanGeneration(java.lang.Integer)>(v);
+return v;
+}
 public io.fabric.kubernetes.api.model.ObjectReference getInstallPlanRef()
 {
 io.fabric.openshift.api.model.operatorhub.v1alpha.SubscriptionStatusFluentImpl v;
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.WebhookDescriptionFluent.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.WebhookDescriptionFluent.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.WebhookDescriptionFluent.jimple	2025-03-13 13:40:21.458850060 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.WebhookDescriptionFluent.jimple	2025-03-13 13:40:28.466739921 +0000
@@ -21,6 +21,8 @@
 public abstract java.lang.Integer getContainerPort();
 public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent withContainerPort(java.lang.Integer);
 public abstract java.lang.Boolean hasContainerPort();
+public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent withNewContainerPort(java.lang.String);
+public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent withNewContainerPort(int);
 public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent addToConversionCRDs(int, java.lang.String);
 public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent setToConversionCRDs(int, java.lang.String);
 public abstract transient io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent addToConversionCRDs(java.lang.String[]);
@@ -102,6 +104,8 @@
 public abstract java.lang.Integer getTimeoutSeconds();
 public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent withTimeoutSeconds(java.lang.Integer);
 public abstract java.lang.Boolean hasTimeoutSeconds();
+public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent withNewTimeoutSeconds(java.lang.String);
+public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent withNewTimeoutSeconds(int);
 public abstract java.lang.String getType();
 public abstract io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent withType(java.lang.String);
 public abstract java.lang.Boolean hasType();
diff -u results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.WebhookDescriptionFluentImpl.jimple results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.WebhookDescriptionFluentImpl.jimple
--- results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/reference/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.WebhookDescriptionFluentImpl.jimple	2025-03-13 13:40:21.562848426 +0000
+++ results/io.fabric8/kubernetes-client-project/5.2.1/jnorm/rebuild/openshift-model-operatorhub-5.2.1.jar:openshift-model-operatorhub-5.2.1.jar/io.fabric8.openshift.api.model.operatorhub.v1alpha1.WebhookDescriptionFluentImpl.jimple	2025-03-13 13:40:28.582738098 +0000
@@ -482,6 +482,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent withNewContainerPort(java.lang.String)
+{
+io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent v;
+io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluentImpl v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluentImpl: io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent withContainerPort(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent withNewContainerPort(int)
+{
+io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent v;
+io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluentImpl v;
+int v;
+java.lang.Integer v;
+v := @this: io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluentImpl: io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent withContainerPort(java.lang.Integer)>(v);
+return v;
+}
 public io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent addToConversionCRDs(int, java.lang.String)
 {
 java.util.List v, v;
@@ -1772,6 +1798,32 @@
 v = staticinvoke <java.lang.Boolean: java.lang.Boolean valueOf(boolean)>(v);
 return v;
 }
+public io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent withNewTimeoutSeconds(java.lang.String)
+{
+io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent v;
+io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluentImpl v;
+java.lang.String v;
+java.lang.Integer v;
+v := @this: io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluentImpl;
+v := @parameter: java.lang.String;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(java.lang.String)>(v);
+v = virtualinvoke v.<io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluentImpl: io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent withTimeoutSeconds(java.lang.Integer)>(v);
+return v;
+}
+public io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent withNewTimeoutSeconds(int)
+{
+io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent v;
+io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluentImpl v;
+int v;
+java.lang.Integer v;
+v := @this: io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluentImpl;
+v := @parameter: int;
+v = new java.lang.Integer;
+specialinvoke v.<java.lang.Integer: void <init>(int)>(v);
+v = virtualinvoke v.<io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluentImpl: io.fabric.openshift.api.model.operatorhub.v1alpha.WebhookDescriptionFluent withTimeoutSeconds(java.lang.Integer)>(v);
+return v;
+}
 public java.lang.String getType()
 {
 java.lang.String v;